# Compiling
> cabal configure
> cabal build
> cabal install


# Commandline inteface
 
PdbqtTools [--help] [-q] [-e | --extract] [-l | --list] [-m | --model] [--] [inputFileName]
| Parameter         | Description
| ----------------- | ---------------------------------------------------
| --help            | Shows the help message.
| -q                | Be lesser verbose.
| -e or --extract   | Extract all or selected models from the given files.
| -l or --list      | List all models in the given files.
| -m or --model     | Model name to extract. Multiple models might be given.
| --                | All parameter after this are interpreted as inputFileName.
| inputFileName     | PDBQT file with models to extract.


## Examples
Lists all model in the given file.
~~~
PdbqtTools -l example.pdbqt
~~~

Extracts all model in the given file.
~~~
PdbqtTools example.pdbqt
~~~

Extracts only the model with the name 'myModel' from the given file.
~~~
PdbqtTools example.pdbqt -m "myModel"
~~~

Extracts only the model with the name 'myModel' or 'yourModel' from the given file.
~~~
PdbqtTools example.pdbqt -m "myModel" -m "yourModel"
~~~
